Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util.beans
Class BeanIntrospectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.internal.util.beans.BeanIntrospectionException

All Implemented Interfaces:
  Serializable

    public class BeanIntrospectionException

extends HibernateException

Indicates a problem dealing with `BeanInfo` via the `BeanInfoHelper` delegate.

See Also:
  Serialized Form

Constructor Summary
`BeanIntrospectionException(String s)`
`BeanIntrospectionException(String string, Throwable root)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanIntrospectionException

    public BeanIntrospectionException(String string,
                                      Throwable root)

### BeanIntrospectionException

    public BeanIntrospectionException(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.